### Method

# SpiceClientGLib MainChannel update_display_mm

since: 0.39

#### Declaration [src]

    void
    spice_main_channel_update_display_mm (
      SpiceMainChannel* channel,
      int id,
      int width_mm,
      int height_mm,
      gboolean update
    )

#### Description [src]

Update the display `id` physical size.

If `update` is `TRUE`, the remote configuration will be updated too after 1 second without further changes. You can send when you want without delay the new configuration to the remote with spice_main_send_monitor_config().

Available since: 0.39

#### Parameters

`id`

  Type: `int`

  Display ID.

`width_mm`

  Type: `int`

  Physical display width in millimeters.

`height_mm`

  Type: `int`

  Physical display height in millimeters.

`update`

  Type: `gboolean`

  If `TRUE`, update guest resolution after 1sec.